libportmidi0-217-12.41.x86_64.rpm


Advertisement

Description

libportmidi0 - Real-time MIDI input/output audio library

Property Value
Distribution openSUSE Tumbleweed
Repository Multimedia Libs all
Package filename libportmidi0-217-12.41.x86_64.rpm
Package name libportmidi0
Package version 217
Package release 12.41
Package architecture x86_64
Package type rpm
Category System/Libraries
Homepage http://sourceforge.net/apps/trac/portmedia/wiki/portmidi
License MIT
Maintainer -
Download size 25.27 KB
Installed size 56.24 KB
PortMidi -- a library for real-time MIDI input/output audio.
This package contains the shared library that is required at runtime for every
application that uses PortMidi.

Alternatives

Package Version Architecture Repository
libportmidi0-217-12.41.i586.rpm 217 i586 Multimedia Libs
libportmidi0-217-3.12.x86_64.rpm 217 x86_64 openSUSE Oss
libportmidi0-217-3.12.i586.rpm 217 i586 openSUSE Oss
libportmidi0-217-2.60.x86_64.rpm 217 x86_64 Education
libportmidi0-217-2.60.i586.rpm 217 i586 Education
libportmidi0 - - -

Requires

Name Value
/sbin/ldconfig -
libasound.so.2()(64bit) -
libasound.so.2(ALSA_0.9)(64bit) -
libc.so.6(GLIBC_2.14)(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -

Provides

Name Value
libportmidi.so.0()(64bit) -
libportmidi0 = 217-12.41
libportmidi0(x86-64) = 217-12.41

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libportmidi0-217-12.41.x86_64.rpm
Source Package portmidi-217-12.41.src.rpm

Install Howto

  1. Add the Multimedia Libs repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/multimedia:/libs/openSUSE_Tumbleweed/ multimedia-libs
  2. Install libportmidi0 rpm package:
    # zypper install libportmidi0

Files

Path
/usr/lib64/libportmidi.so.0
/usr/lib64/libportmidi.so.0.217
/usr/share/doc/packages/libportmidi0/README.txt
/usr/share/doc/packages/libportmidi0/README_LINUX.txt
/usr/share/doc/packages/libportmidi0/license.txt

Changelog

2014-08-25 - cornelis@solcon.nl
- Correct license to MIT
- Include license file in %doc
- Weeaken timidity requires to recommends
2012-12-14 - joop.boonen@opensuse.org
- Add Requirement for timidity as most sound cards don't
have a dedicated midi device anymore
- Build with libporttime.so fix needed for lenmus
2012-06-06 - prusnak@opensuse.org
- imported from Packman to OBS
- don't ship static library
2011-12-27 - pascal.bleser@opensuse.org
- fix build on >= 12.1
2011-02-27 - pascal.bleser@opensuse.org
- update to version 217
- complete spec file rewrite, moved to cmake
2008-11-17 - joop.boonen@opensuse.org
- creating package in OBS
2007-04-03 - nando@ccrma.stanford.edu
- add -fPIC flag for x86_64 build
2007-04-01 - nando@ccrma.stanford.edu
- build on fc6
2005-11-19 - nando@ccrma.stanford.edu
- added patch to link libporttime to the pthreads library, otherwise
it can't be loaded independently of libportmidi
2005-11-10 - nando@ccrma.stanford.edu
- added Debian patches to build shared libraries neede by Common Music

See Also

Package Description
libpostproc55-32bit-4.1.3-62.1.x86_64.rpm FFmpeg post-processing library
libpostproc55-4.1.3-62.1.i586.rpm FFmpeg post-processing library
libpostproc55-4.1.3-64.1.x86_64.rpm FFmpeg post-processing library
libpulse-devel-12.2-11.1.i586.rpm Development package for the pulseaudio library
libpulse-devel-12.2-11.1.x86_64.rpm Development package for the pulseaudio library
libpulse-devel-32bit-12.2-11.1.x86_64.rpm Development package for the pulseaudio library
libpulse-mainloop-glib0-12.2-11.1.i586.rpm GLIB 2.0 Main Loop wrapper for PulseAudio
libpulse-mainloop-glib0-12.2-11.1.x86_64.rpm GLIB 2.0 Main Loop wrapper for PulseAudio
libpulse-mainloop-glib0-32bit-12.2-11.1.x86_64.rpm GLIB 2.0 Main Loop wrapper for PulseAudio
libpulse0-12.2-11.1.i586.rpm Client interface to PulseAudio
libpulse0-12.2-11.1.x86_64.rpm Client interface to PulseAudio
libpulse0-32bit-12.2-11.1.x86_64.rpm Client interface to PulseAudio
libqjack-devel-0.0+20170112-14.12.i586.rpm Connect to the Jack Sound Server with Qt
libqjack-devel-0.0+20170112-14.12.x86_64.rpm Connect to the Jack Sound Server with Qt
libqjack0-0.0+20170112-14.12.i586.rpm Connect to the Jack Sound Server with Qt
Advertisement
Advertisement